import { Store } from '@ngrx/store';
import { Observable } from 'rxjs';
import { MonkeyEcxMeCredentials, MonkeyEcxStorage, MonkeyEcxTokenCredentials } from '../../interfaces';
import { MonkeyEcxConfigService } from '../config/monkeyecx-config.service';
import * as i0 from "@angular/core";
export declare class MonkeyEcxTokenStorageService {
    private monkeyecxConfigService;
    private store;
    private token;
    private token$;
    private me$;
    private config;
    constructor(monkeyecxConfigService: MonkeyEcxConfigService, store: Store);
    private setAllTokens;
    private getAllTokens;
    private setAllMe;
    private getAllMe;
    tokenHasChanged(): Observable<MonkeyEcxTokenCredentials>;
    meHasChanged(): Observable<MonkeyEcxMeCredentials>;
    getToken(): Promise<MonkeyEcxStorage | null | undefined>;
    getMe(): Promise<{
        name?: string | undefined;
        email?: string | undefined;
        username?: string | undefined;
        status?: string | undefined;
        pictureURL?: string | undefined;
        selectedLanguage?: string | undefined;
        companies?: import("../../interfaces").MonkeyEcxCompany[] | undefined;
        programs?: import("../../interfaces").MonkeyEcxProgram[] | undefined;
        nickname?: string | undefined;
        cellPhone?: string | undefined;
        smsNotification?: boolean | undefined;
        privacyPolicy?: boolean | undefined;
        useTerms?: boolean | undefined;
        locale?: string | undefined;
        newsletter?: boolean | undefined;
        passNumber1?: string | undefined;
        passNumber2?: string | undefined;
        passNumber3?: string | undefined;
        passNumber4?: string | undefined;
    } | undefined>;
    setToken(token: MonkeyEcxTokenCredentials): void;
    setMe(me: MonkeyEcxMeCredentials): void;
    clear(force?: boolean): Observable<boolean>;
    /**
     * @param fields (the name of fields you want to clear. ie: ['companyId', 'role', ...])
     */
    clearCredentials(fields?: string[]): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyEcxTokenStorageService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MonkeyEcxTokenStorageService>;
}
